libname data '/folders/myfolders/Datasets';

proc freq data=sashelp.class;
 table sex;
run;
/*Scenarios*/
proc freq data=sashelp.heart;
	where bp_status='High' and weight_status='Overweight';
	tables sex /nocum;
run;

proc sort data=sashelp.prdsale out=sale;
	by product;
run;

data unique_product(keep=product);
	set sale(where=(actual > predict));
	by product;

	if first.product;
run;

proc freq data=sashelp.prdsale;
	where actual gt predict;
	tables product /list missing nocum;
run;



proc freq data=data.flighttravelers order=freq;
 table day_of_booking;
run;

proc format;
 value $dayfmt "Saturday"="Weekends" OTHER="Weekdays";
run;

proc freq order=formatted data=data.flighttravelers;
 tables day_of_booking;
 title "Example of PROC FREQ with Formatted Values";
 format day_of_booking $dayfmt.;
run;

/*using the weight statement*/
PROC FREQ data=data.coins;
 WEIGHT COUNT;
 TITLE 'Reading Summarized Count data';
 TABLES CATEGORY;
RUN;

proc freq data=data.flighttravelers;
proc freq data=data.airlines order=data;
 weight no_of_passengers;
 title 'goodness of fit analysis';
 tables foodtype / nocum chisq testp=(0.35 0.40 0.20 0.05);
run;

PROC FREQ DATA=data.DRINKERS;
 WEIGHT COUNT;
 TABLES CRIME*DRINKER/CHISQ EXPECTED NOROW NOCOL NOPERCENT;
 TITLE 'CHI SQUARE ANALYSIS OF A CONTINGENCY TABLE';
RUN;

title 'Outcome of Heart Disease with respect to Cholestrol diet';

proc print data=data.HeartDisese;
run;

proc freq data=data.HeartDisese order=data;
 title 'Case-Control Study of High Fat/Cholesterol Diet';
 TABLES CHOLESTROLDIET*OUTCOME / CHISQ RELRISK EXPECTED;
 EXACT PCHI OR;
 weight Total;
run;